from setuptools import setup, find_packages
from pathlib import Path

# Đọc nội dung README.md để hiển thị trên PyPI
this_directory = Path(__file__).parent
long_description = (this_directory / "README.md").read_text(encoding="utf-8")

setup(
    name="fuo-tool",
    version="0.2.2",
    packages=find_packages(),
    install_requires=[
        "requests",
        "beautifulsoup4",
        "click",
        "questionary",
        "tqdm",
    ],
    entry_points={
        "console_scripts": [
            "fuo=tool.cli:cli",
        ],
    },
    author="Kappy",
    description="CLI tool để tải ảnh từ thread FUOverflow",
    long_description=long_description,
    long_description_content_type="text/markdown",
    include_package_data=True,
    classifiers=[
        "Programming Language :: Python :: 3",
        "Intended Audience :: Education",
        "Environment :: Console",
        "Topic :: Utilities",
    ],
    python_requires=">=3.7",
)
